# Uses of Interface
com.sun.mirror.declaration.TypeParameterDeclaration

Packages that use TypeParameterDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of TypeParameterDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type TypeParameterDeclaration
Modifier and Type
Method
Description
`Collection<TypeParameterDeclaration>`
ExecutableDeclaration.`getFormalTypeParameters()`
Returns the formal type parameters of this method or constructor.
`Collection<TypeParameterDeclaration>`
TypeDeclaration.`getFormalTypeParameters()`
Returns the formal type parameters of this class or interface.

## Uses of TypeParameterDeclaration in com.sun.mirror.type

Methods in com.sun.mirror.type that return TypeParameterDeclaration
Modifier and Type
Method
Description
`TypeParameterDeclaration`
TypeVariable.`getDeclaration()`
Returns the type parameter that declared this type variable.

## Uses of TypeParameterDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type TypeParameterDeclaration
Modifier and Type
Method
Description
`TypeVariable`
Types.`getTypeVariable(TypeParameterDeclaration tparam)`
Returns the type variable declared by a type parameter.
`void`
DeclarationVisitor.`visitTypeParameterDeclaration(TypeParameterDeclaration d)`
Visits a type parameter declaration.
`void`
SimpleDeclarationVisitor.`visitTypeParameterDeclaration(TypeParameterDeclaration d)`
Visits a type parameter declaration.